Uploaded image for project: 'Kafka'
  1. Kafka
  2. KAFKA-16800 Resolve Gradle 9.0 deprecations
  3. KAFKA-16803

Upgrade to a version of ShadowJavaPlugin which doesn't use ConfigureUtil

    XMLWordPrintableJSON

Details

    • Sub-task
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • None
    • 3.9.0
    • None

    Description

      The org.gradle.util.ConfigureUtil type has been deprecated.    
      This is scheduled to be removed in Gradle 9.0.    
      Documentation
      2 usages    
      Plugin:com.github.jengelman.gradle.plugins.shadow.ShadowJavaPlugin    
      Plugin:com.github.jengelman.gradle.plugins.shadow.ShadowJavaPlugin

      Attachments

        Issue Links

          Activity

            People

              ksolves.kafka Ksolves
              gharris1727 Greg Harris
              Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: